#ifndef IFF_RW_H
#define IFF_RW_H

#include <exec/types.h>

typedef struct {
   UWORD w,h;
   WORD  x,y;
   UBYTE nPlanes;
   UBYTE masking;
   UBYTE compression;
   UBYTE pad1;
   UWORD transparentColor;
   UBYTE xAspect, yAspect;
   WORD  pageWidth, pageHeigth;
} BitMapHeader;

BOOL LoadILBM(char *filename, BitMapHeader *bmhd, BYTE **cmap, struct BitMap **bitmap);
LONG SaveILBM(char *filename, BitMapHeader *bmhd, BYTE  *cmap, struct BitMap  *bitmap);

#endif
